<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<html lang="en">

<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <title>LCOV - ombs_test_coverage.info - mongodbhandler/mongodb_handler.cpp - functions</title>
  <link rel="stylesheet" type="text/css" href="../gcov.css">
</head>

<body>

  <table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr><td class="title">LCOV - code coverage report</td></tr>
    <tr><td class="ruler"><img src="../glass.png" width=3 height=3 alt=""></td></tr>

    <tr>
      <td width="100%">
        <table cellpadding=1 border=0 width="100%">
          <tr>
            <td width="10%" class="headerItem">Current view:</td>
            <td width="35%" class="headerValue"><a href="../index.html">top level</a> - <a href="index.html">mongodbhandler</a> - mongodb_handler.cpp<span style="font-size: 80%;"> (<a href="mongodb_handler.cpp.gcov.html">source</a> / functions)</span></td>
            <td width="5%"></td>
            <td width="15%"></td>
            <td width="10%" class="headerCovTableHead">Hit</td>
            <td width="10%" class="headerCovTableHead">Total</td>
            <td width="15%" class="headerCovTableHead">Coverage</td>
          </tr>
          <tr>
            <td class="headerItem">Test:</td>
            <td class="headerValue">ombs_test_coverage.info</td>
            <td></td>
            <td class="headerItem">Lines:</td>
            <td class="headerCovTableEntry">213</td>
            <td class="headerCovTableEntry">250</td>
            <td class="headerCovTableEntryMed">85.2 %</td>
          </tr>
          <tr>
            <td class="headerItem">Date:</td>
            <td class="headerValue">2022-01-07 08:01:00</td>
            <td></td>
            <td class="headerItem">Functions:</td>
            <td class="headerCovTableEntry">15</td>
            <td class="headerCovTableEntry">15</td>
            <td class="headerCovTableEntryHi">100.0 %</td>
          </tr>
          <tr><td><img src="../glass.png" width=3 height=3 alt=""></td></tr>
        </table>
      </td>
    </tr>

    <tr><td class="ruler"><img src="../glass.png" width=3 height=3 alt=""></td></tr>
  </table>

  <center>
  <table width="60%" cellpadding=1 cellspacing=1 border=0>
    <tr><td><br></td></tr>
    <tr>
      <td width="80%" class="tableHead">Function Name <span class="tableHeadSort"><img src="../glass.png" width=10 height=14 alt="Sort by function name" title="Sort by function name" border=0></span></td>
      <td width="20%" class="tableHead">Hit count <span class="tableHeadSort"><a href="mongodb_handler.cpp.func-sort-c.html"><img src="../updown.png" width=10 height=14 alt="Sort by hit count" title="Sort by hit count" border=0></a></span></td>
    </tr>
    <tr>
              <td class="coverFn"><a href="mongodb_handler.cpp.gcov.html#16">_ZN4omsb14MongoDbHandler12AddMovieToDbERKNSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEE</a></td>
              <td class="coverFnHi">6</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="mongodb_handler.cpp.gcov.html#407">_ZN4omsb14MongoDbHandler12DropDatabaseEv</a></td>
              <td class="coverFnHi">6</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="mongodb_handler.cpp.gcov.html#43">_ZN4omsb14MongoDbHandler12GetAllMoviesEv</a></td>
              <td class="coverFnHi">7</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="mongodb_handler.cpp.gcov.html#504">_ZN4omsb14MongoDbHandler13CreateBookingERKNSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEES8_</a></td>
              <td class="coverFnHi">2</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="mongodb_handler.cpp.gcov.html#59">_ZN4omsb14MongoDbHandler14AddTheaterToDbERKNSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEE</a></td>
              <td class="coverFnHi">6</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="mongodb_handler.cpp.gcov.html#414">_ZN4omsb14MongoDbHandler14BookSingleSeatERKNSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEERS6_S8_</a></td>
              <td class="coverFnHi">11</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="mongodb_handler.cpp.gcov.html#90">_ZN4omsb14MongoDbHandler14GetAllTheatersEv</a></td>
              <td class="coverFnHi">7</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="mongodb_handler.cpp.gcov.html#107">_ZN4omsb14MongoDbHandler16AddMovieShowToDbERKNSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEES8_</a></td>
              <td class="coverFnHi">5</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="mongodb_handler.cpp.gcov.html#445">_ZN4omsb14MongoDbHandler16FindShowIdBySeatERKNSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEE</a></td>
              <td class="coverFnHi">15</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="mongodb_handler.cpp.gcov.html#202">_ZN4omsb14MongoDbHandler16GetAllMovieShowsEv</a></td>
              <td class="coverFnHi">7</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="mongodb_handler.cpp.gcov.html#252">_ZN4omsb14MongoDbHandler18GetTheatersByMovieERKNSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEE</a></td>
              <td class="coverFnHi">2</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="mongodb_handler.cpp.gcov.html#480">_ZN4omsb14MongoDbHandler19InsertSeatToBookingERKNSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEES8_</a></td>
              <td class="coverFnHi">11</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="mongodb_handler.cpp.gcov.html#301">_ZN4omsb14MongoDbHandler27GetSeatsByMovieAndByTheaterERKNSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEES8_</a></td>
              <td class="coverFnHi">3</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="mongodb_handler.cpp.gcov.html#341">_ZN4omsb14MongoDbHandler9BookSeatsERKSt6vectorINSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEESaIS7_EE</a></td>
              <td class="coverFnHi">4</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="mongodb_handler.cpp.gcov.html#8">_ZN4omsb14MongoDbHandlerC2Ev</a></td>
              <td class="coverFnHi">22</td>
            </tr>
  </table>
  <br>
  </center>
  <table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr><td class="ruler"><img src="../glass.png" width=3 height=3 alt=""></td></tr>
    <tr><td class="versionInfo">Generated by: <a href="http://ltp.sourceforge.net/coverage/lcov.php" target="_parent">LCOV version 1.14</a></td></tr>
  </table>
  <br>

</body>
</html>
